Zum Hauptinhalt springen
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
/
{reindexOperationId}
Ruft detaillierte Informationen zum Reindexierungsvorgang ab
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId} \
  --header 'Authorization: Bearer <token>'
{
  "completed": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

catalogId
string
erforderlich

Katalog-ID. Sie finden sie in der Liste aller Kataloge.

reindexOperationId
string<uuid>
erforderlich

Kennung der Operation. Sie finden sie in der Antwort auf den Start der Reindizierungsoperation.

Antwort

OK

completed
string | null

Zeitpunkt des Abschlusses des Vorgangs

created
string<date-time>

Erstellungszeitpunkt des Vorgangs

currentState
enum<string>
Verfügbare Optionen:
InProgress,
Failed,
Completed
id
string<uuid>

Eindeutige ID des Vorgangs

indexModelId
string | null

ID des Indexmodells, das zur Analyse von Dokumenten verwendet wird

workflowProcessingId
string | null

ID des Vorgangsworkflows